CREATE SEQUENCE SEQ_ID_CTE_ENVIO
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_ENVIO
  OWNER TO postgres;

CREATE TABLE OOBJ_CTE_ENVIO (
    id_cte BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_ENVIO'::regclass),              
	
	cUF SMALLINT,                 -- Cdigo da UF do emitente do Documento Fiscal
	cCT SMALLINT,                 -- Cdigo Numrico que compe a Chave de Acesso
	CFOP SMALLINT,                -- Cdigo Fiscal de Operaes e Prestaes
	natOp VARCHAR(500),               -- Natureza da Operao
	forPag SMALLINT,              -- Indicador da forma de pagamento
	mod SMALLINT,                 -- Modelo do documento fiscal
	serie SMALLINT,               -- Srie do CT-e
	nCT INTEGER,                 -- Nmero do CT-e
	dhEmi TIMESTAMP WITHOUT TIME ZONE,               -- Data e hora de emisso do CT-e
	tpImp SMALLINT,               -- Formato de Impresso do DANFE
	tpEmis SMALLINT,              -- Forma de Emisso da NF-e
	cDV SMALLINT,                 -- Dgito Verificador da Chave de Acesso da NF-e
	tpAmb SMALLINT,               -- Identificao do Ambiente
	tpCTe SMALLINT,               -- Tipo do CT-e
	refCTE VARCHAR(44),              -- Chave de acesso do CT-e referenciado
	cMunEnv INTEGER,             -- Cdigo do Municpio onde o CT-e est sendo enviado
	xMunEnv VARCHAR(60),             -- Nome do Municpio onde o CT-e est sendo  enviado
	UFEnv VARCHAR(2),               -- Sigla da UF onde o CT-e est sendo  enviado
	modal SMALLINT,               -- Modal
	tpServ SMALLINT,              -- Tipo do Servio
	cMunIni INTEGER,             -- Cdigo do Municpio de incio da prestao
	xMunIni VARCHAR(60),             -- Nome do Municpio do incio da prestao
	UFIni VARCHAR(2),               -- UF do incio da prestao
	cMunFim INTEGER,             -- Cdigo do Municpio de trmino da prestao
	xMunFim VARCHAR(60),             -- Nome do Municpio do trmino da prestao
	UFFim VARCHAR(2),               -- UF do trmino da prestao
	retira SMALLINT,              -- Indicador se o Recebedor retira no Aeroporto, Filial, Porto ou Estao de Destino.
	xDetRetira VARCHAR(160),          -- Detalhes do retira	 
	
	toma SMALLINT,                -- Indicador do "papel" do tomador do servio no CT-e
    tomaCPFCNPJ VARCHAR(20),         -- Nmero do CNPJ
	tomaIE VARCHAR(20),              -- Inscrio Estadual
    tomaXNome VARCHAR(60),           -- Razo Social ou Nome
    tomaXFant VARCHAR(2),           -- Nome Fantasia
    tomaFone BIGINT,            -- Telefone
    tomaXLgr VARCHAR(255),            -- Logradouro
    tomaNro VARCHAR(60),             -- Nmero
    tomaXCpl VARCHAR(60),            -- Complemento
    tomaXBairro VARCHAR(60),         -- Bairro
    tomaCMun INTEGER,            -- Cdigo do municpio
    tomaXMun VARCHAR(60),            -- Nome do municpio
    tomaCEP INTEGER,             -- Cdigo do CEP
    tomaUF VARCHAR(2),              -- Sigla da UF
    tomaCPais SMALLINT,           -- Cdigo do Pas
    tomaXPais VARCHAR(60),           -- Nome do Pas
    tomaEmail VARCHAR(60),           -- Endereo de e-mail do tomador de servio
	
	dhCont TIMESTAMP WITHOUT TIME ZONE,              -- Data de entrada em contingncia
    xJust VARCHAR(256),               -- Justificativa de entrada em contingncia
	
	listaEmails VARCHAR(255),         -- Lista de e-mails destinatrios
    enviarDacteEmail SMALLINT,    -- Informao de envio de PDF DACTE
	
	complXCaracAd VARCHAR(15),       -- Caracterstica adicional do transporte
    complXCaracSer VARCHAR(30),      -- Caracterstica adicional do servio
    complXEmi VARCHAR(20),           -- Funcionrio emissor do CTe
    
    complFluxXOrig VARCHAR(15),      -- Sigla ou cdigo interno da Filial/Porto/Estao/Aer
    complFluxPass VARCHAR(15),       -- Sigla ou cdigo interno da Filial/Porto/Estao/Aer
    complFluxXDest VARCHAR(15),      -- Sigla ou cdigo interno da Filial/Porto/Estao/Aer
    complFluxXRota VARCHAR(10),      -- Cdigo da Rota de Entrega
    
    complEntTpPer SMALLINT,       -- Tipo de data/perodo programado para entrega
    complEntDProg TIMESTAMP WITHOUT TIME ZONE,       -- Data programada
    complEntDIni TIMESTAMP WITHOUT TIME ZONE,        -- Data inicial
    complEntDFim TIMESTAMP WITHOUT TIME ZONE,        -- Data final
    complEntTpHor SMALLINT,       -- Tipo de hora programado para entrega
    complEntHProg VARCHAR(10),       -- Hora programada
    complEntHIni VARCHAR(10),        -- Hora inicial
    complEntHFim VARCHAR(10),        -- Hora final
    complOrigCalc VARCHAR(40),       -- Municpio de origem para efeito de clculo do frete
    complDestCalc VARCHAR(40),       -- Municpio de destino para efeito de clculo do fret
    complXObs VARCHAR(2000),           -- Observaes Gerais
    
    emitCNPJ VARCHAR(14),            -- CNPJ do emitente
    emitIE VARCHAR(14),              -- IE
    emitXNome VARCHAR(60),           -- Razo Social ou nome do emitente
    emitXFant VARCHAR(10),           -- Nome fantasia
    emitXLgr VARCHAR(10),            -- Logradouro
    emitNro VARCHAR(10),             -- Nmero
    emitXCpl VARCHAR(10),            -- Complemento
    emitXBairro VARCHAR(10),         -- Bairro
    emitCMun INTEGER,            -- Cdigo do municpio
    emitXMun VARCHAR(10),            -- Nome do municpio
    emitCEP INTEGER,             -- CEP
    emitUF VARCHAR(2),              -- Sigla da UF
    emitFone BIGINT,            -- Telefone
    
    remCNPJ VARCHAR(14),            -- CNPJ do remetente
    remCPF VARCHAR(11),             -- CPF do remetente
    remIE VARCHAR(20),              -- Inscrio Estadual
    remXNome VARCHAR(60),           -- Razo social ou nome do remetente
    remXFant VARCHAR(10),           -- Nome fantasia
    remFone BIGINT,            -- Telefone
    remEmail VARCHAR(60),           -- Endereo de e-mail remetente da carga
    remXLgr VARCHAR(60),            -- Logradouro
    remNro VARCHAR(60),             -- Nmero
    remXCpl VARCHAR(60),            -- Complemento
    remXBairro VARCHAR(60),         -- Bairro
    remCMun INTEGER,            -- Cdigo do municpio
    remXMun VARCHAR(60),            -- Nome do municpio
    remCEP INTEGER,             -- CEP
    remUF VARCHAR(2),              -- Sigla da UF
    remCPais SMALLINT,           -- Cdigo do Pas
    remXPais VARCHAR(60),           -- Nome do Pas
    
	remLocColetaCNPJ VARCHAR(14),   -- CNPJ do local da coleta
	remLocColetaCPF VARCHAR(11),    -- CPF do local da coleta
	remLocColetaXNome VARCHAR(60),  -- Razo social ou nome do local da coleta
	remLocColetaXLgr VARCHAR(60),   -- Logradouro do local da coleta
	remLocColetaNro VARCHAR(60),    -- Nmero do local da coleta
	remLocColetaXCpl VARCHAR(60),   -- Complemento do local da coleta
	remLocColetaXBairro VARCHAR(60),-- Bairro do local da coleta
	remLocColetaCMun INTEGER,   -- Cdigo do muncipio do local da coleta
	remLocColetaXMun VARCHAR(60),   -- Muncpio do local da coleta
	remLocColetaUF VARCHAR(2),     -- UF do local da coleta
    
    expedCNPJ VARCHAR(14),          -- CNPJ do expedidor
    expedCPF VARCHAR(11),           -- CPF do expedidor
    expedIE VARCHAR(60),            -- Inscrio Estadual
    expedXNome VARCHAR(60),         -- Razo social ou nome do expedidor
    expedFone BIGINT,          -- Telefone
    expedEmail VARCHAR(60),         -- Endereo de e-mail do expedidor da carga
    expedXLgr VARCHAR(60),          -- Logradouro
    expedNro VARCHAR(60),           -- Nmero
    expedXCpl VARCHAR(60),          -- Complemento
    expedXBairro VARCHAR(60),       -- Bairro
    expedCMun INTEGER,          -- Cdigo do municpio
    expedXMun VARCHAR(60),          -- Nome do municpio
    expedCEP INTEGER,           -- CEP
    expedUF VARCHAR(2),            -- Sigla da UF
    expedCPais SMALLINT,         -- Cdigo do Pas
    expedXPais VARCHAR(60),          -- Nome do Pas
    
    recebCNPJ VARCHAR(14),          -- CNPJ do recebedor
    recebCPF VARCHAR(11),           -- CPF do recebedor
    recebIE VARCHAR(60),            -- Inscrio Estadual
    recebXNome VARCHAR(60),         -- Razo social ou nome do recebedor
    recebFone BIGINT,          -- Telefone
    recebEmail VARCHAR(60),         -- Endereo de e-mail do recebedor da carga
    recebXLgr VARCHAR(60),          -- Logradouro
    recebNro VARCHAR(60),           -- Nmero
    recebXCpl VARCHAR(60),          -- Complemento
    recebXBairro VARCHAR(60),       -- Bairro
    recebCMun INTEGER,          -- Cdigo do municpio
    recebXMun VARCHAR(60),          -- Nome do municpio
    recebCEP INTEGER,           -- CEP
    recebUF VARCHAR(2),            -- Sigla da UF
    recebCPais SMALLINT,         -- Cdigo do Pas
    recebXPais VARCHAR(60),          -- Nome do Pas
    
    destCNPJ VARCHAR(14),           -- CNPJ do destinatrio
    destCPF VARCHAR(11),            -- CPF do destinatrio
    destIE VARCHAR(60),             -- Inscrio Estadual
    destXNome VARCHAR(60),          -- Razo social ou Destinatrio
    destFone BIGINT,           -- Telefone
    destISUF INTEGER,           -- Inscrio na SUFRAMA
    destEmail VARCHAR(60),          -- Endereo de e-mail do Destinatrio
    destXLgr VARCHAR(60),           -- Logradouro
    destNro VARCHAR(60),            -- Nmero
    destXCpl VARCHAR(60),           -- Complemento
    destXBairro VARCHAR(60),        -- Bairro
    destCMun INTEGER,           -- Cdigo do municpio
    destXMun VARCHAR(60),           -- Nome do municpio
    destCEP INTEGER,            -- CEP
    destUF VARCHAR(2),             -- Sigla da UF
    destCPais SMALLINT,          -- Cdigo do Pas
    destXPais VARCHAR(60),           -- Nome do Pas
    
    destLocEntCNPJ VARCHAR(14),     -- CNPJ do local de entrega
    destLocEntCPF VARCHAR(11),      -- CPF do local de entrega
    destLocEntXNome VARCHAR(60),    -- Razo social ou nome
    destLocEntXLgr VARCHAR(60),     -- Logradouro
    destLocEntNro VARCHAR(60),      -- Nmero
    destLocEntXCpl VARCHAR(60),     -- Complemento
    destLocEntXBairro VARCHAR(60),  -- Bairro
    destLocEntCMun INTEGER,     -- Cdigo do municpio
    destLocEntXMun VARCHAR(60),     -- Nome do municpio
    destLocEntUF VARCHAR(2),       -- Sigla da UF
    
    vPrestVTPrest NUMERIC(17,3),      -- Valor Total da Prestao do Servio
    vPrestVRec NUMERIC(17,3),         -- Valor a Receber

    impCST SMALLINT,             -- Classificao tributria do servio
    impVBC NUMERIC(17,3),             -- Valor da BC do ICMS
    impVBCSTRet NUMERIC(17,3),        -- Valor da BC do ICMS ST Retido
    impVBCOutraUF NUMERIC(17,3),      -- Valor da BC do ICMSOutraUF
    impPICMS NUMERIC(5,2),           -- Alquota do ICMS
    impPICMSSTRet NUMERIC(5,2),      -- Alquota do ICMS ST Retido
    impPICMSOutraUF NUMERIC(5,2),    -- Alquota do ICMSOutraUF
    impVICMS NUMERIC(17,3),           -- Valor do ICMS
    impVICMSSTRet NUMERIC(17,3),      -- Valor do ICMS ST Retido
    impVICMSOutraUF NUMERIC(17,3),    -- Valor do ICMSOutraUF
    impPRedBC NUMERIC(5,2),          -- Percentual de reduo da BC
    impPRedBCOutraUF NUMERIC(5,2),   -- Percentual de reduo da BC do ICMSOutraUF
    impVCred NUMERIC(17,3),           -- Valor do Crdito outorgado/Presumido
    impIndSN SMALLINT,           -- Indica se o contribuinte  Simples Nacional
    impVTotTrib NUMERIC(17,3),        -- Valor Total dos Tributos (NT 2013-001)
    impInfAdFisco VARCHAR(2000),       -- Informaes adicionais de interesse do Fisco
	impVICMSDeson NUMERIC(17,3),     -- Valor de ICMS de Desonerao
	impCBenef VARCHAR(60),           -- Cdigo do Benefcio Fiscal
	
	autXml TEXT, 			-- Lista com os CNPJ's e/ou CPF's autorizados para download do XML do DF-e

	impVBCUFFim NUMERIC(13, 2),	-- Valor da BC do ICMS na UF de trmino da prestao do servio de transporte
	impPFCPUFFim NUMERIC(3, 2),	-- Percentual do ICMS relativo ao Fundo de Combate  pobreza (FCP) na UF de trmino da prestao do servio de transporte
	impPICMSUFFim NUMERIC(3, 2),	-- Alquota interna da UF de trmino da prestao do servio de transporte
	impPICMSInter NUMERIC(3, 2),	-- Alquota interestadual das UF envolvida
	impPICMSInterPart NUMERIC(3, 2), -- Percentual de partilha para a UF de trmino da prestao do servio de Transporte
	impVFCPUFFim NUMERIC(3, 2), -- Valor do ICMS relativo ao Fundo de Combate  Pobreza (FCP) da UF de trmino da prestao
	impVICMSUFFim NUMERIC(13, 2),	-- Valor do ICMS de partilha para a UF de trmino da prestao do servio de Transporte
	impVICMSUFIni NUMERIC(13, 2),	-- Valor do ICMS de partilha para a UF de incio de prestao do servio de Transporte	

	status_extraido BOOLEAN DEFAULT FALSE,
	
	indGlobalizacao SMALLINT,
	indIEToma SMALLINT,
	emitIEST VARCHAR(14),
	
	CONSTRAINT oobj_cte_envio_pkey PRIMARY KEY (id_cte);
);

ALTER TABLE OOBJ_CTE_ENVIO OWNER TO postgres;

CREATE INDEX CTE_ENVIO_IX_CH_CTE
ON OOBJ_CTE_ENVIO
USING btree
(chCTe);
