CREATE SEQUENCE SEQ_ID_CTE_COMP_OBS
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_COMP_OBS
  OWNER TO postgres;

CREATE TABLE OOBJ_CTE_COMP_OBS (
    id_campocustom BIGINT NOT NULL DEFAULT NEXTVAL('SEQ_ID_CTE_COMP_OBS'::regclass),    -- Chave primria desta tabela
	id_cte BIGINT NOT NULL,            -- Chave estrangeira da tabela OOBJ_CTE_ENVIO
	xCampo VARCHAR(20) NOT NULL,            -- Identificao do campo
	xTexto VARCHAR(200) NOT NULL,            -- Contedo do campo
	tipo CHAR(1) NOT NULL,               -- Tipo do campo customizado
	
	CONSTRAINT oobj_cte_comp_obs_pkey PRIMARY KEY (id_campocustom),
	CONSTRAINT oobj_cte_envio_fk FOREIGN KEY (id_cte)
		REFERENCES oobj_cte_envio (id_cte)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_VPREST_COMP OWNER TO postgres;

CREATE INDEX CTE_COMP_OBS_IX_ID_CTE
ON OOBJ_CTE_COMP_OBS
USING btree
(id_cte);
