CREATE SEQUENCE SEQ_ID_CTE_EVENTOS_CCE
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_EVENTOS_CCE
  OWNER TO postgres;


CREATE TABLE OOBJ_CTE_EVENTOS_CCE (
	id_evento_cce BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_EVENTOS_CCE'::regclass),    -- Chave primria desta tabela
	id_evento BIGINT NOT NULL,       -- Chave estrangeira para a tabela/view OOBJ_CTE_EVENTOS
	grupoAlterado CHARACTER VARYING(1000),   -- Indicar o grupo de informaes que percente o campo alterado
	campoAlterado CHARACTER VARYING(1000),   -- Nome do campo modificado do CT-e original
	valorAlterado CHARACTER VARYING(1000),   -- Valor correspondente  alterao
	nroItemAlterado INTEGER,  -- Preencher com o ndice do item alterado caso a alterao ocorra em uma lista. O ndice inicia sempre com 1.
	CONSTRAINT oobj_cte_eventos_cce_pkey PRIMARY KEY (id_evento_cce),
	CONSTRAINT fk3613ebecde504a5b FOREIGN KEY (id_evento)
      REFERENCES oobj_cte_eventos (id_evento) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_EVENTOS_CCE OWNER TO postgres;

CREATE INDEX CTE_EVENTOS_CCE_IX_EVENTO_PK
ON OOBJ_CTE_EVENTOS_CCE
USING btree
(id_evento);