CREATE SEQUENCE SEQ_ID_CTE_INFCTE_AQUA_DET_DOC
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_INFCTE_AQUA_DET_DOC
  OWNER TO postgres;

CREATE TABLE OOBJ_CTE_INFCTE_AQUA_DET_DOCS (
    id_det_doc BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_INFCTE_AQUA_DET_DOC'::regclass),    -- Chave primria desta tabela
	id_det_cont BIGINT NOT NULL, -- Chave estrangeira da tabela OOBJ_CTE_INFCTE
	serie SMALLINT,			-- Serie infNF
	nDoc SMALLINT,			-- numero infDoc
	chave VARCHAR(44),     -- Chave da NF-e
	unidRat VARCHAR(256),     -- Unidade de medida rateada
    
  	CONSTRAINT oobj_cte_inf_aquav_docs_pkey PRIMARY KEY (id_det_doc),
	CONSTRAINT oobj_cte_infcte_aq_doc_fk FOREIGN KEY (id_det_cont)
		REFERENCES oobj_cte_infcte_aqua_det (id_det_cont)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_INFCTE_AQUA_DET_DOCS OWNER TO postgres;

CREATE INDEX CTE_INFCTE_AQUA_DET_IX_ID_IFC
ON OOBJ_CTE_INFCTE_AQUA_DET_DOCS
USING btree
(id_det_cont);