CREATE SEQUENCE SEQ_ID_CTE_DOC_ANT
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_DOC_ANT
  OWNER TO postgres;
  

CREATE TABLE OOBJ_CTE_INFCTE_DOC_ANT (
    id_docant BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_DOC_ANT'::regclass),   -- Chave primria desta tabela
	id_infcte BIGINT NOT NULL,   -- Chave estrangeira da tabela OOBJ_CTE_INFCTE
	docAntCNPJ VARCHAR(14),  -- Nmero do CNPJ
	docAntCPF VARCHAR(11),   -- Nmero do CPF
	docAntIE VARCHAR(20),    -- Inscrio Estadual
	docAntUF VARCHAR(2),    -- Sigla da UF, informar EX para operaes com o exterior
	docAntXNome VARCHAR(100),  -- Razo Social ou Nome do expedidor
  
	CONSTRAINT oobj_cte_doc_ant_pkey PRIMARY KEY (id_docant),
	CONSTRAINT oobj_cte_infcte_fk FOREIGN KEY (id_infcte)
		REFERENCES oobj_cte_infcte (id_infcte)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_INFCTE_DOC_ANT OWNER TO postgres;

CREATE INDEX CTE_DOC_ANT_IX_ID_INFCTE
ON OOBJ_CTE_INFCTE_DOC_ANT
USING btree
(id_infcte);