CREATE SEQUENCE SEQ_ID_CTE_DOC_ANT_IDENT
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_DOC_ANT_IDENT
  OWNER TO postgres;
  
CREATE TABLE OOBJ_CTE_INFCTE_DOC_ANT_IDENT (
    id_identdocant BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_DOC_ANT_IDENT'::regclass),     -- Chave primria desta tabela
	id_docant BIGINT NOT NULL,          -- Chave estrangeira da tabela OOBJ_CTE_INFCTE_DOC_ANT
	docPapTpDoc CHAR(2),        -- Tipo do Documento originrio
	docPapSerie SMALLINT,        -- Srie do Documento Fiscal
	docPapSubser SMALLINT,       -- Srie do Documento Fiscal
	docPapNDoc VARCHAR(20),         -- Nmero do Documento Fiscal
	docPapDEmi TIMESTAMP WITHOUT TIME ZONE,         -- Data de emisso (AAAA-MM-DD)
	docEleChave VARCHAR(44),         -- Chave de acesso do CT-e
	
	CONSTRAINT oobj_cte_doc_ant_ident_pkey PRIMARY KEY (id_identdocant),
	CONSTRAINT oobj_cte_doc_ant_fk FOREIGN KEY (id_docant)
		REFERENCES oobj_cte_infcte_doc_ant (id_docant)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_INFCTE_DOC_ANT_IDENT OWNER TO postgres;

CREATE INDEX CTE_DOC_ANT_IDENT_IX_ID_DOC_ANT
ON OOBJ_CTE_INFCTE_DOC_ANT_IDENT
USING btree
(id_docant);