CREATE SEQUENCE SEQ_ID_CTE_INFCTE_DUP
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_INFCTE_DUP
  OWNER TO postgres;
  
CREATE TABLE OOBJ_CTE_INFCTE_DUP (
    id_dup BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_INFCTE_DUP'::regclass),     -- Chave primria desta tabela
	id_infcte BIGINT NOT NULL,  -- Chave estrangeira da tabela OOBJ_CTE_INFCTE
	nDup VARCHAR(6),       -- Nmero da duplicata
	dVenc TIMESTAMP WITHOUT TIME ZONE,      -- Data de vencimento da duplicata (AAAA-MM-DD)
	vDup NUMERIC(17,3),        -- Valor da duplicata

	CONSTRAINT oobj_cte_dup_pkey PRIMARY KEY (id_dup),
	CONSTRAINT oobj_cte_infcte_fk FOREIGN KEY (id_infcte)
		REFERENCES oobj_cte_infcte (id_infcte)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_INFCTE_DUP OWNER TO postgres;

CREATE INDEX CTE_DUP_IX_ID_INFCTE
ON OOBJ_CTE_INFCTE_DUP
USING btree
(id_infcte);