CREATE SEQUENCE SEQ_ID_CTE_FERROV_ENV
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_FERROV_ENV
  OWNER TO postgres;
  

CREATE TABLE OOBJ_CTE_INFCTE_FERROV_FERROENV (
    id_ferenv BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_FERROV_ENV'::regclass),         -- Chave primria desta tabela
	id_infcte BIGINT NOT NULL,         -- Chave estrangeira da tabela OOBJ_CTE_INFCTE
	ferrovEnvCNPJ VARCHAR(14),     -- Nmero do CNPJ
	ferrovEnvCInt VARCHAR(10),     -- Cdigo interno da Ferrovia Substituta
	ferrovEnvIE VARCHAR(15),       -- Inscrio Estadual
	ferrovEnvXNome VARCHAR(60),    -- Razo Social ou Nome
	ferrovEnvXLgr VARCHAR(255),     -- Logradouro
	ferrovEnvNro VARCHAR(60),      -- Nmero
	ferrovEnvXCpl VARCHAR(60),     -- Complemento
	ferrovEnvXBairro VARCHAR(60),  -- Bairro
	ferrovEnvCMun INTEGER,     -- Cdigo do Municpio
	ferrovEnvXMun VARCHAR(60),     -- Nome do municpio, informar EXTERIOR para operaes com o exterior.
	ferrovEnvCEP INTEGER,      -- CEP
	ferrovEnvUF CHAR(2),        -- Sigla da UF, informar EX para operaes com o exterior.
	
	CONSTRAINT oobj_cte_ferrov_env_pkey PRIMARY KEY (id_ferenv),
	CONSTRAINT oobj_cte_infcte_fk FOREIGN KEY (id_infcte)
		REFERENCES oobj_cte_infcte (id_infcte)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_INFCTE_FERROV_FERROENV OWNER TO postgres;

CREATE INDEX CTE_FERROV_ENV_IX_ID_INFCTE
ON OOBJ_CTE_INFCTE_FERROV_FERROENV
USING btree
(id_infcte);
