CREATE SEQUENCE SEQ_ID_CTE_INFCTE_PERI
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_INFCTE_PERI
  OWNER TO postgres;
  
CREATE TABLE OOBJ_CTE_INFCTE_PERI (
    id_peri BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_INFCTE_PERI'::regclass),       -- Chave primria desta tabela
	id_infcte BIGINT NOT NULL,     -- Chave estrangeira da tabela OOBJ_CTE_INFCTE
	nONU VARCHAR(100),          -- Nmero ONU/UN
	xNomeAE VARCHAR(200),       -- Nome apropriado para embarque do produto
	xClaRisco VARCHAR(40),     -- Classe ou subclasse/diviso, e risco subsidirio/risco secundrio
	grEmb VARCHAR(10),         -- Grupo de Embalagem
	qTotProd VARCHAR(20),      -- Quantidade total por produto
	qVolTipo VARCHAR(60),      -- Quantidade e Tipo de volumes
	pontoFulgor VARCHAR(6),    -- Ponto de Fulgor
	
  	CONSTRAINT oobj_cte_infcte_peri_pkey PRIMARY KEY (id_peri),
	CONSTRAINT oobj_cte_infcte_fk FOREIGN KEY (id_infcte)
		REFERENCES oobj_cte_infcte (id_infcte)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_INFCTE_PERI OWNER TO postgres;

CREATE INDEX CTE_INFCTE_PERI_IX_ID_INFCTE
ON OOBJ_CTE_INFCTE_PERI
USING btree
(id_infcte);