CREATE SEQUENCE SEQ_ID_CTE_INFCTE_QTD_CARGA
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_INFCTE_QTD_CARGA
  OWNER TO postgres;

CREATE TABLE OOBJ_CTE_INFCTE_QTD_CARGA (
    id_infcarga BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_INFCTE_QTD_CARGA'::regclass),    -- Chave primria desta tabela
	id_infcte BIGINT NOT NULL,      -- Chave estrangeira da tabela OOBJ_CTE_INFCTE
	cUnid VARCHAR(2),          -- Cdigo da Unidade de Medida
	tpMed VARCHAR(20),          -- Tipo da Medida
	qCarga NUMERIC(16,4),          -- Quantidade
	
	CONSTRAINT oobj_cte_qtd_carga_pkey PRIMARY KEY (id_infcarga),
	CONSTRAINT oobj_cte_infcte_fk FOREIGN KEY (id_infcte)
		REFERENCES oobj_cte_infcte (id_infcte)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_INFCTE_QTD_CARGA OWNER TO postgres;

CREATE INDEX CTE_QTD_CARGA_IX_ID_INFCTE
ON OOBJ_CTE_INFCTE_QTD_CARGA
USING btree
(id_infcte);