CREATE SEQUENCE SEQ_ID_CTE_RODO_OCC
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_RODO_OCC
  OWNER TO postgres;

CREATE TABLE OOBJ_CTE_INFCTE_RODO_OCC (
    id_occ BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_RODO_OCC'::regclass),      -- Chave primria desta tabela
	id_infcte BIGINT NOT NULL,   -- Chave estrangeira da tabela OOBJ_CTE_INFCTE
	serie INTEGER,       -- Srie da OCC
	nOcc VARCHAR(10),        -- Nmero da Ordem de coleta
	dEmi TIMESTAMP WITHOUT TIME ZONE,        -- Data de emisso da ordem de coleta
	CNPJ VARCHAR(14),        -- Nmero do CNPJ
	cInt VARCHAR(10),        -- Cdigo interno de uso da transportadora
	IE  VARCHAR(14),          -- Inscrio Estadual
	UF CHAR(2),          -- Sigla da UF
	fone BIGINT,         -- Telefone
    
	CONSTRAINT oobj_cte_occ_pkey PRIMARY KEY (id_occ),
	CONSTRAINT oobj_cte_infcte_fk FOREIGN KEY (id_infcte)
		REFERENCES oobj_cte_infcte (id_infcte)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_INFCTE_RODO_OCC OWNER TO postgres;

CREATE INDEX CTE_RODO_OCC_IX_ID_INFCTE
ON OOBJ_CTE_INFCTE_RODO_OCC
USING btree
(id_infcte);