CREATE SEQUENCE SEQ_ID_CTE_INFCTE_SEG
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_INFCTE_SEG
  OWNER TO postgres;

CREATE TABLE OOBJ_CTE_INFCTE_SEG (
    id_seg BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_INFCTE_SEG'::regclass),    -- Chave primria desta tabela
	id_infcte BIGINT NOT NULL, -- Chave estrangeira da tabela OOBJ_CTE_INFCTE
	--respSeg SMALLINT,   -- Responsvel pelo Seguro
	xSeg VARCHAR(100),      -- Nome da Seguradora
	CNPJ VARCHAR(14),      -- CNPJ da seguradora
	nApol VARCHAR(30),     -- Nmero da Aplice
	nAver VARCHAR(30),     -- Nmero da Averbao
	--vCarga NUMERIC(17,3),     -- Valor da Carga para efeito de averbao
    
  	CONSTRAINT oobj_cte_inf_seg_pkey PRIMARY KEY (id_seg),
	CONSTRAINT oobj_cte_infcte_fk FOREIGN KEY (id_infcte)
		REFERENCES oobj_cte_infcte (id_infcte)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_INFCTE_SEG OWNER TO postgres;

CREATE INDEX CTE_INFCTE_SEG_IX_ID_INFCTE
ON OOBJ_CTE_INFCTE_SEG
USING btree
(id_infcte);