CREATE SEQUENCE SEQ_ID_CTE_VEIC_NOVOS
INCREMENT 1
MINVALUE 1
MAXVALUE 9223372036854775807
START 1
CACHE 1;

ALTER TABLE SEQ_ID_CTE_VEIC_NOVOS
OWNER TO postgres;

CREATE TABLE OOBJ_CTE_INFCTE_VEICNOVOS (
    id_veic BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_VEIC_NOVOS'::regclass),    -- Chave primria desta tabela
	id_infcte BIGINT NOT NULL,  -- Chave estrangeira da tabela OOBJ_CTE_INFCTE
	chassi VARCHAR(20),     -- Chassi do veculo
	cCor VARCHAR(5),       -- Cor do veculo
	xCor VARCHAR(40),       -- Descrio da cor
	cMod VARCHAR(10),       -- Cdigo Marca Modelo
	vUnit NUMERIC(17,3),      -- Valor Unitrio do Veculo
	vFrete NUMERIC(17,3),      -- Frete Unitrio
  
	CONSTRAINT oobj_cte_veic_novos_pkey PRIMARY KEY (id_veic),
	CONSTRAINT oobj_cte_infcte_fk FOREIGN KEY (id_infcte)
		REFERENCES oobj_cte_infcte (id_infcte)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_INFCTE_VEICNOVOS OWNER TO postgres;

CREATE INDEX CTE_VEIC_NOVOS_IX_ID_INFCTE
ON OOBJ_CTE_INFCTE_VEICNOVOS
USING btree
(id_infcte);