CREATE SEQUENCE SEQ_ID_CTE_INFDOC
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_INFDOC
  OWNER TO postgres;

CREATE TABLE OOBJ_CTE_INFDOC (
    id_infdoc BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_INFDOC'::regclass),       -- Chave primria desta tabela
    id_infcte BIGINT NOT NULL,       -- Chave estrangeira da tabela OOBJ_CTE_INFCTE
    tipo SMALLINT,             -- Tipo de documento (1-NF, 2-NFe e 3-Outros)

  	CONSTRAINT oobj_cte_infdoc_pkey PRIMARY KEY (id_infdoc),
	CONSTRAINT oobj_cte_infcte_fk FOREIGN KEY (id_infcte)
		REFERENCES oobj_cte_infcte (id_infcte)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_INFDOC OWNER TO postgres;


CREATE INDEX CTE_INFDOC_IX_ID_INFCTE
ON OOBJ_CTE_INFDOC
USING btree
(id_infcte);