CREATE SEQUENCE SEQ_ID_CTE_INFDOC_INF_DF
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_INFDOC_INF_DF
  OWNER TO postgres;

CREATE TABLE OOBJ_CTE_INFDOC_INF_DF (
    id_infdf BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_INFDOC_INF_DF'::regclass),        -- Chave primria desta tabela
    id_infdoc BIGINT NOT NULL,       -- Chave estrangeira da tabela OOBJ_CTE_ENVIO	 

	nRoma VARCHAR(20),           -- Nmero do Romaneio da NF
	nPed VARCHAR(20),            -- Nmero do Pedido da NF
	mod SMALLINT,             -- Modelo da Nota Fiscal
	serie SMALLINT,           -- Srie
	vBC NUMERIC(17,3),             -- Valor da Base de Clculo do ICMS
	vICMS NUMERIC(17,3),           -- Valor Total do ICMS
	vBCST NUMERIC(17,3),           -- Valor da Base de Clculo do ICMS ST
    vST NUMERIC(17,3),             -- Valor Total do ICMS ST
	vProd NUMERIC(17,3),           -- Valor Total dos Produtos
	vNF NUMERIC(17,3),             -- Valor Total da NF
	nCFOP INTEGER,           -- CFOP Predominante
	nPeso NUMERIC(17,3),           -- Peso total em Kg

 	chave VARCHAR(44),           -- Chave de acesso da NF-e

	tpDoc SMALLINT,           -- Tipo de documento originrio
	descOutros VARCHAR(100),      -- Descrio quando se tratar de 99-Outros
	vDocFisc NUMERIC(17,3),        -- Valor do documento
	
	nDoc INTEGER,            -- Nmero do documento (infNF e infOutros)
	dEmi TIMESTAMP WITHOUT TIME ZONE,            -- Data de Emisso do documento (infNF e infOutros)
	pIN INTEGER,             -- PIN SUFRAMA (infNF e infNFe)
	dPrev TIMESTAMP WITHOUT TIME ZONE,            -- Data prevista de entrega (infNFe e infOutros)

	CONSTRAINT oobj_cte_infdf_pkey PRIMARY KEY (id_infdf),
	CONSTRAINT oobj_cte_inf_doc_fk FOREIGN KEY (id_infdoc)
		REFERENCES oobj_cte_infdoc (id_infdoc)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_INFDOC_INF_DF OWNER TO postgres;

CREATE INDEX CTE_INF_DF_IX_ID_INFDOC
ON OOBJ_CTE_INFDOC_INF_DF
USING btree
(id_infdoc);
