CREATE SEQUENCE SEQ_ID_CTE_INF_UNID_CARGA
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_INF_UNID_CARGA
  OWNER TO postgres;
  
CREATE TABLE OOBJ_CTE_INF_UNID_CARGA (
	id_infUnidCarga BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_INF_UNID_CARGA'::regclass),   -- Chave primria desta tabela
	id_infUnidTransp BIGINT NOT NULL,  -- Chave estrangeira da tabela OOBJ_CTE_INFDOC_UNID_TRANSP
	id_infDF BIGINT,          -- Chave estrangeira da tabela OOBJ_CTE_INFDOC_INF_DF
	tpUnidCarga SMALLINT,       -- Tipo de unidade de carga
	idUnidCarga VARCHAR(20),       -- Identificao da unidade de carga (no confundir com o ID da tabela)
	lacUnidCarga VARCHAR(4000),      -- Lacres das unidades de carga
	qtdRat NUMERIC(5,2),             -- Quantidade rateada (peso, volume)
		
  	CONSTRAINT oobj_cte_unid_carga_pkey PRIMARY KEY (id_infUnidCarga),
	CONSTRAINT oobj_cte_transp_fk FOREIGN KEY (id_infUnidTransp)
		REFERENCES oobj_cte_inf_unid_transp (id_infUnidTransp)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION,
	CONSTRAINT oobj_cte_inf_df_fk FOREIGN KEY (id_infDF)
		REFERENCES oobj_cte_infdoc_inf_df (id_infdf)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_INF_UNID_CARGA OWNER TO postgres;

CREATE INDEX CTE_UNID_CARGA_IX_ID_TRANSP
ON OOBJ_CTE_INF_UNID_CARGA
USING btree
(id_infUnidTransp);

CREATE INDEX CTE_UNID_CARGA_IX_ID_DF
ON OOBJ_CTE_INF_UNID_CARGA
USING btree
(id_infDF);