CREATE SEQUENCE SEQ_ID_CTE_INF_UNID_TRANSP
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_INF_UNID_TRANSP
  OWNER TO postgres;

CREATE TABLE OOBJ_CTE_INF_UNID_TRANSP (
    id_infUnidTransp BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_INF_UNID_TRANSP'::regclass),       -- Chave primria desta tabela
    id_infDF BIGINT NOT NULL,        -- Chave estrangeira da tabela OOBJ_CTE_INFDOC_INF_DF
    tpUnidTransp SMALLINT,    -- Tipo de Unidade de Transporte
    idUnidTransp VARCHAR(20),    -- Identificao da Unidade de Transporte
    lacUnidTransp VARCHAR(4000),   -- Lacres das unidades de transporte
    qtdRat NUMERIC(5,2),          -- Quantidade rateada
	
	CONSTRAINT oobj_cte_unid_transp_pkey PRIMARY KEY (id_infUnidTransp),
	CONSTRAINT oobj_cte_inf_df_fk FOREIGN KEY (id_infDF)
		REFERENCES oobj_cte_infdoc_inf_df (id_infdf)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_INF_UNID_TRANSP OWNER TO postgres;

CREATE INDEX CTE_UNID_TRANSP_IX_ID_DF
ON OOBJ_CTE_INF_UNID_TRANSP
USING btree
(id_infDF);