CREATE SEQUENCE SEQ_ID_CTE_INUTILIZACAO
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_INUTILIZACAO
  OWNER TO postgres;

CREATE TABLE OOBJ_CTE_INUTILIZACAO (
    id_inut BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_INUTILIZACAO'::regclass), -- Chave primria da tabela	 
    tpAmb INTEGER,	 -- Identificao do Ambiente    
    cUF VARCHAR(2),	 -- Cdigo do estado
	ano SMALLINT,	 -- Ano de inutilizao da numerao
    CNPJ VARCHAR(14),	 -- CNPJ do emitente
	serie SMALLINT,	 -- Srie da numerao a ser inutilizada
    nCTIni VARCHAR(10),	 -- Nmero da inicial a ser inutilizada
    nCTFin VARCHAR(10),	 -- Nmero da final a ser inutilizada
	xJust VARCHAR(500),	 -- Justificativa da inutilizao
	status_extraido BOOLEAN DEFAULT FALSE,
	
	CONSTRAINT oobj_cte_inutilizacao_pkey PRIMARY KEY (id_inut)
);

ALTER TABLE OOBJ_CTE_INUTILIZACAO OWNER TO postgres;