CREATE SEQUENCE SEQ_ID_CTE_RETORNO_ENVIO
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_RETORNO_ENVIO
  OWNER TO postgres;
  

CREATE TABLE OOBJ_CTE_RETORNO (
    id_retorno BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_RETORNO_ENVIO'::regclass),  -- Chave primria
    id_cte BIGINT NOT NULL,       -- Chave estrangeira da view OOBJ_CTE_ENVIO
    cStat INTEGER,        -- Cdigo de status do processamento do CT-e
    xMotivo VARCHAR(500),      -- Descrio do status de processamento do CT-e
    cUF VARCHAR(2),          -- Cdigo da UF que processou a solicitao
    chCTe VARCHAR(44),        -- Chave de acesso do CT-e
    serie INTEGER,        -- Srie do CT-e
    nCT  VARCHAR(10),          -- Nmero do CT-e
    dhRecbto TIMESTAMP WITHOUT TIME ZONE,     -- Data de processamento pela SEFAZ
    nProt VARCHAR(15),        -- Nmero do protocolo de autorizao de uso do CT-e
    digVal VARCHAR(50),       -- Digest value do CT-e
    dhRetorno TIMESTAMP WITHOUT TIME ZONE,      -- Data de insero do registro de retorno
	
	CONSTRAINT oobj_cte_retorno_envio_pkey PRIMARY KEY (id_retorno),
	CONSTRAINT oobj_cte_envio_fk FOREIGN KEY (id_cte)
		REFERENCES oobj_cte_envio (id_cte)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_RETORNO OWNER TO postgres;

CREATE INDEX CTE_RET_ENVIO_IX_ID_ENVIO
ON OOBJ_CTE_RETORNO
USING btree
(id_cte);