CREATE SEQUENCE SEQ_ID_CTE_RET_EVENTOS
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_RET_EVENTOS
  OWNER TO postgres;
  
  
CREATE TABLE OOBJ_CTE_RETORNO_EVENTOS (
    id_retorno BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_RET_EVENTOS'::regclass),  -- Chave primria
    id_evento BIGINT NOT NULL,   -- Chave estrangeira da view OOBJ_CTE_EVENTOS
    tpAmb SMALLINT,       -- Tipo de ambiente
    verAplic VARCHAR(200),    -- Verso do aplicativo autorizador
    cOrgao CHAR(2),      -- Cdigo do rgo
    cStat INTEGER,       -- Cdigo de processamento do Evento
    xMotivo VARCHAR(500),     -- Descrio do status de processamento do Evento
    chCTe VARCHAR(44),       -- Chave de acesso do CT-e associado
    tpEvento INTEGER,    -- Tipo de evento
    xEvento VARCHAR(500),     -- Descrio do evento
    nSeqEvento SMALLINT,  -- Nmero sequencial do evento
    dhRegEvento TIMESTAMP WITHOUT TIME ZONE, -- Data de processamento do evento pela SEFAZ
    nProt VARCHAR(15),       -- Nmero do protocolo de autorizao de uso do CT-e
	CONSTRAINT oobj_cte_ret_evento_pkey PRIMARY KEY (id_retorno),
	CONSTRAINT oobj_cte_eventos_fk FOREIGN KEY (id_evento)
		REFERENCES oobj_cte_eventos (id_evento)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_RETORNO_EVENTOS OWNER TO postgres;

CREATE INDEX CTE_RET_EVENTOS_IX_ID_EVENTO
ON OOBJ_CTE_RETORNO_EVENTOS
USING btree
(id_evento);