CREATE SEQUENCE SEQ_ID_CTE_RET_INUT
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_RET_INUT
  OWNER TO postgres;
  
CREATE TABLE OOBJ_CTE_RETORNO_INUT (
    id_ret_inut BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_RET_INUT'::regclass),	    -- Chave primria da view, autoincrementvel
    id_inut BIGINT NOT NULL,			-- Chave estrangeira da view OOBJ_CTE_INUTILIZACAO
    cStat INTEGER,			    -- Codigo de Status do processamento do CT-e
    xMotivo VARCHAR(500),			-- Descrio do Status do processamento do CT-e
    dhRecbto TIMESTAMP WITHOUT TIME ZONE,		    -- Data de processamento pela SEFAZ
    nProt VARCHAR(15),			    -- Nmero do Protocolo de Autorizao de Uso do CT-e
    dhRetorno TIMESTAMP WITHOUT TIME ZONE,		    -- Data de insero do registro de retorno
	
	CONSTRAINT oobj_cte_ret_inut_pkey PRIMARY KEY (id_ret_inut),
	CONSTRAINT oobj_cte_inut_fk FOREIGN KEY (id_inut)
		REFERENCES oobj_cte_inutilizacao (id_inut)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_RETORNO_INUT OWNER TO postgres;

CREATE INDEX CTE_RET_INUT_IX_ID_INUT
ON OOBJ_CTE_RETORNO_INUT
USING btree
(id_inut);