CREATE SEQUENCE SEQ_ID_CTE_VPREST_COMP
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_VPREST_COMP
  OWNER TO postgres;

CREATE TABLE OOBJ_CTE_VPREST_COMP (
    id_comp BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_VPREST_COMP'::regclass),    -- Chave primria desta tabela
	id_cte BIGINT NOT NULL,     -- Chave estrangeira para a tabela/view tabela OOBJ_CTE_ENVIO
	xNome VARCHAR(20),      -- Nome do componente
	vComp NUMERIC(17,3),       -- Valor do componente
	
	CONSTRAINT oobj_cte_vprest_comp_pkey PRIMARY KEY (id_comp),
	CONSTRAINT oobj_cte_envio_fk FOREIGN KEY (id_cte)
		REFERENCES oobj_cte_envio (id_cte)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_VPREST_COMP OWNER TO postgres;

CREATE INDEX CTE_VPREST_COMP_IX_ID_CTE
ON OOBJ_CTE_COMP_OBS
USING btree
(id_cte);
