SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
BEGIN

IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_envio]') AND type in (N'U'))
	ALTER TABLE [dbo].[oobj_cte_envio]
		ALTER COLUMN [modal] [char](2) NOT NULL;

	ALTER TABLE [dbo].[oobj_cte_envio]
		ADD [tomacpfcnpj] [varchar](14) NULL;
	ALTER TABLE [dbo].[oobj_cte_envio]
		ADD [remloccoletacnpj] [char](14) NULL;
	ALTER TABLE [dbo].[oobj_cte_envio]
		ADD [remloccoletacpf] [char](11) NULL;
	ALTER TABLE [dbo].[oobj_cte_envio]
		ADD [remloccoletaxnome] [varchar](60) NULL;
	ALTER TABLE [dbo].[oobj_cte_envio]
		ADD [remloccoletaxlgr] [varchar](60) NULL;
	ALTER TABLE [dbo].[oobj_cte_envio]
		ADD [remloccoletanro] [varchar](60) NULL;
	ALTER TABLE [dbo].[oobj_cte_envio]
		ADD [remloccoletaxcpl] [varchar](60) NULL;
	ALTER TABLE [dbo].[oobj_cte_envio]
		ADD [remloccoletaxbairro] [varchar](60) NULL;
	ALTER TABLE [dbo].[oobj_cte_envio]
		ADD [remloccoletacmun] [char](7) NULL;
	ALTER TABLE [dbo].[oobj_cte_envio]
		ADD [remloccoletaxmun] [varchar](60) NULL;
	ALTER TABLE [dbo].[oobj_cte_envio]
		ADD [remloccoletauf] [char](2) NULL;
	ALTER TABLE [dbo].[oobj_cte_envio]
		ADD [impvtottrib] [decimal](15, 2) NULL;
	ALTER TABLE [dbo].[oobj_cte_envio]
		ADD [autxml] [varchar](3000) NULL;

		
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte]') AND type in (N'U'))
		EXEC sp_rename 'dbo.oobj_cte_infcte.ctenormcargavmerc', 'ctenormcargavcarga', 'COLUMN';

	ALTER TABLE [dbo].[oobj_cte_infcte]
		ADD [multimodalcotm] [varchar](1000) NULL;
	ALTER TABLE [dbo].[oobj_cte_infcte]
		ADD [multimodalindnegociavel] [int] NULL;

		
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_peri]') AND type in (N'U'))
		ALTER TABLE [dbo].[oobj_cte_infcte_peri]
			ALTER COLUMN [xclarisco] [varchar](40) NULL;

			
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infdoc]') AND type in (N'U'))
		ALTER TABLE [dbo].[oobj_cte_infdoc]
			ADD [id_infcte] [decimal](19, 0) NOT NULL;
		ALTER TABLE [dbo].[oobj_cte_infdoc]
			ADD [tipo] [int] NOT NULL;

			
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[infdoc_infcte_fk]')
		AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infdoc]'))
		ALTER TABLE [dbo].[oobj_cte_infdoc] WITH CHECK ADD CONSTRAINT [infdoc_infcte_fk] FOREIGN KEY([id_infcte])
			REFERENCES [dbo].[oobj_cte_infcte] ([id_infcte]);

	ALTER TABLE [dbo].[oobj_cte_infdoc] CHECK CONSTRAINT [infdoc_infcte_fk];
	
	
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_comp_obs]') AND type in (N'U'))
	CREATE TABLE [dbo].[oobj_cte_comp_obs](
		[id_campocustom] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
		[id_cte] [decimal](19, 0) NOT NULL,
		[xcampo] [varchar](20) NOT NULL,
		[xtexto] [varchar](60) NOT NULL,
		[tipo] [char](1) NOT NULL,
	PRIMARY KEY CLUSTERED 
	(
		[id_campocustom] ASC
	)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
	) ON [PRIMARY];

	
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_cte_comp_cte_envio]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_comp_obs]'))
	ALTER TABLE [dbo].[oobj_cte_comp_obs]  WITH CHECK ADD  CONSTRAINT [fk_cte_comp_cte_envio] FOREIGN KEY([id_cte])
	REFERENCES [dbo].[oobj_cte_envio] ([id_cte]);
	
	ALTER TABLE [dbo].[oobj_cte_comp_obs] CHECK CONSTRAINT [fk_cte_comp_cte_envio];

	
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infdoc_inf_df]') AND type in (N'U'))
	CREATE TABLE [dbo].[oobj_cte_infdoc_inf_df](
		[id_infdf] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
		[id_infdoc] [decimal](19, 0) NOT NULL,
		-- infNF
		[nroma] [varchar](20) NULL,
		[nped] [varchar](20) NULL,
		[mod] [char](2) NULL,
		[serie] [varchar](3) NULL,
		[vbc] [decimal](15, 2) NULL,
		[vicms] [decimal](15, 2) NULL,
		[vbcst] [decimal](15, 2) NULL,
		[vst] [decimal](15, 2) NULL,
		[vprod] [decimal](15, 2) NULL,
		[vnf] [decimal](15, 2) NULL,
		[ncfop] [char](4) NULL,
		[npeso] [decimal](15, 3) NULL,
		-- infNFe
		[chave] [char](44) NULL,
		-- infOutros
		[tpdoc] [char](3) NULL,
		[descoutros] [char](100) NULL,
		[vdocfisc] [decimal](15, 2) NULL,
		-- Informações em comum aos 3 tipos de DF
		[ndoc] [varchar](20) NULL,
		[demi] [datetime] NULL,
		[pin] [varchar](9) NULL,
		[dprev] [datetime] NULL,
	PRIMARY KEY CLUSTERED 
	(
		[id_infdf] ASC
	)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
	) ON [PRIMARY];


IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_inf_unid_transp]') AND type in (N'U'))	
	CREATE TABLE [dbo].[oobj_cte_inf_unid_transp](
		[id_infunidtransp] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
		--Chave estrangeira para oobj_cte_infdoc_inf_df
		[id_infdf] [decimal](19, 0) NULL,
		[tpunidtransp] [int] NOT NULL,
		[idunidtransp] [varchar](20) NOT NULL,
		[lacunidtransp] [varchar](5000) NULL,
		[qtdrat] [decimal](3,2) NULL,
	PRIMARY KEY CLUSTERED 
	(
		[id_infunidtransp] ASC
	)
	WITH
	(
		PAD_INDEX  = OFF,
		STATISTICS_NORECOMPUTE  = OFF,
		IGNORE_DUP_KEY = OFF,
		ALLOW_ROW_LOCKS  = ON,
		ALLOW_PAGE_LOCKS  = ON
	) ON [PRIMARY]
	) ON [PRIMARY];	

	
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_eventos]') AND type in (N'U'))
	CREATE TABLE [dbo].[oobj_cte_eventos](
		[id_evento] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
		[versaoevento] [varchar](5) NULL,
		[corgao] [char](2) NOT NULL,
		[tpamb] [int] NULL,
		[autorevento] [char](14) NOT NULL,
		[chcte] [char](44) NOT NULL,
		[dhevento] [datetime] NULL,
		[tpevento] [char](6) NOT NULL,
		[nseqevento] [char](2) NOT NULL,
		--Cancelamento de CT-e
		[cancnprot] [char](15) NULL,
		[cancxjust] [varchar](255) NULL,
		--Registro Multimodal
		[regmmodalxregistro] [varchar](1000) NULL,
		[regmmodalndoc] [varchar](43) NULL,
		-- EPEC
		[epecxjust] [varchar](255) NULL,
		[epecvicms] [decimal](15,2) NULL,
		[epecvtprest] [decimal](15,2) NULL,
		[epecvcarga] [decimal](15,2) NULL,
		[epectoma] [char](2) NULL,
		[epectomauf] [char](2) NULL,
		[epectomacpfcnpj] [varchar](14) NULL,
		[epectomaie] [varchar](14) NULL,
		[epecmodal] [int] NULL,
		[epecufini] [char](2) NULL,
		[epecuffim] [char](2) NULL,
	PRIMARY KEY CLUSTERED 
	(
		[id_evento] ASC
	)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
	) ON [PRIMARY];
	
	
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_retorno_eventos]') AND type in (N'U'))
	CREATE TABLE [dbo].[oobj_cte_retorno_eventos](
		[id_ret_evento] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
		[id_evento] [decimal](19, 0) NOT NULL,
		[tpamb] [int] NOT NULL,
		[veraplic] [varchar](20) NULL,
		[corgao] [char](2) NOT NULL,
		[cstat] [int] NOT NULL,
		[xmotivo] [varchar](2048) NOT NULL,
		[chcte] [char](44) NULL,
		[tpevento] [char](6) NULL,
		[xevento] [varchar](60) NULL,
		[nseqevento] [char](2) NULL,
		[dhregevento] [datetime] NULL,
		[nprot] [decimal](19, 0) NULL,
		[dhretorno] [datetime] NOT NULL,	

		PRIMARY KEY CLUSTERED ([id_ret_evento] ASC)

		WITH (
			PAD_INDEX  = OFF,
			STATISTICS_NORECOMPUTE  = OFF,
			IGNORE_DUP_KEY = OFF,
			ALLOW_ROW_LOCKS  = ON,
			ALLOW_PAGE_LOCKS  = ON
		) ON [PRIMARY]
	) ON [PRIMARY];


IF NOT EXISTS (
		SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_ret_eventos]')
		AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_retorno_eventos]')
	) ALTER TABLE [dbo].[oobj_cte_retorno_eventos]
	WITH CHECK ADD CONSTRAINT [fk_ret_eventos]
	FOREIGN KEY([id_evento]) REFERENCES [dbo].[oobj_cte_eventos] ([id_evento]);
	
	ALTER TABLE [dbo].[oobj_cte_retorno_eventos] CHECK CONSTRAINT [fk_ret_eventos];	
	
	
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_vprest_comp]') AND type in (N'U'))
	CREATE TABLE [dbo].[oobj_cte_vprest_comp](
		[id_comp] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
		[id_cte] [decimal](19, 0) NOT NULL,
		[xnome] [varchar](15) NOT NULL,
		[vcomp] [decimal](19,2) NOT NULL,
	PRIMARY KEY CLUSTERED 
	(
		[id_comp] ASC
	)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
	) ON [PRIMARY];

	
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_prest_comp_envio]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_vprest_comp]'))
	ALTER TABLE [dbo].[oobj_cte_vprest_comp]  WITH CHECK ADD  CONSTRAINT [fk_prest_comp_envio] FOREIGN KEY([id_cte])
	REFERENCES [dbo].[oobj_cte_envio] ([id_cte])
	
	ALTER TABLE [dbo].[oobj_cte_vprest_comp] CHECK CONSTRAINT [fk_prest_comp_envio];
	
	
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_eventos_cce]') AND type in (N'U'))
	CREATE TABLE [dbo].[oobj_cte_eventos_cce](
		[id_evento_cce] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
		[id_evento] [decimal](19, 0) NOT NULL,
		[grupoalterado] [varchar](20) NOT NULL,
		[campoalterado] [varchar](20) NOT NULL,
		[valoralterado] [varchar](500) NOT NULL,
		[nroitemalterado] [varchar](2) NULL,
	PRIMARY KEY CLUSTERED 
	(
		[id_evento_cce] ASC
	)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
	) ON [PRIMARY];

	
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[eventos_cte_fk]')
		AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_eventos_cce]'))
	ALTER TABLE [dbo].[oobj_cte_eventos_cce]  WITH CHECK ADD CONSTRAINT [eventos_cte_fk]
	FOREIGN KEY([id_evento])
	REFERENCES [dbo].[oobj_cte_eventos] ([id_evento]);
	
	ALTER TABLE [dbo].[oobj_cte_eventos_cce] CHECK CONSTRAINT [eventos_cte_fk];
	
	
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_inf_unid_carga]') AND type in (N'U'))	
	CREATE TABLE [dbo].[oobj_cte_inf_unid_carga](
		[id_infunidcarga] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
		--Chave estrangeira opcional para oobj_cte_inf_unid_transp
		[id_infunidtransp] [decimal](19, 0) NULL,
		--Chave estrangeira opcional para oobj_cte_infdoc_inf_df
		[id_infdf] [decimal](19, 0) NULL,
		[tpunidtransp] [int] NOT NULL,
		[idunidtransp] [varchar](20) NOT NULL,
		[lacunidcarga] [varchar](5000) NULL,
		[qtdrat] [decimal](3,2) NULL,
	PRIMARY KEY CLUSTERED 
	(
		[id_infunidcarga] ASC
	)
	WITH
	(
		PAD_INDEX  = OFF,
		STATISTICS_NORECOMPUTE  = OFF,
		IGNORE_DUP_KEY = OFF,
		ALLOW_ROW_LOCKS  = ON,
		ALLOW_PAGE_LOCKS  = ON
	) ON [PRIMARY]
	) ON [PRIMARY];

	
--Configuracao da chave estrangeira para oobj_cte_inf_unid_transp
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[inf_unid_transp_carga_cte_fk]')
		AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_inf_unid_carga]'))
	ALTER TABLE [dbo].[oobj_cte_inf_unid_carga]  WITH CHECK ADD CONSTRAINT [inf_unid_transp_carga_cte_fk]
	FOREIGN KEY([id_infunidtransp])
	REFERENCES [dbo].[oobj_cte_inf_unid_transp] ([id_infunidtransp]);
	
	ALTER TABLE [dbo].[oobj_cte_inf_unid_carga] CHECK CONSTRAINT [inf_unid_transp_carga_cte_fk];

	
--Configuracao da chave estrangeira para oobj_cte_infdoc_inf_df
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[infdoc_inf_df_cte_carga_fk]')
		AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_inf_unid_carga]'))
	ALTER TABLE [dbo].[oobj_cte_inf_unid_carga]  WITH CHECK ADD CONSTRAINT [infdoc_inf_df_cte_carga_fk]
	FOREIGN KEY([id_infdf])
	REFERENCES [dbo].[oobj_cte_infdoc_inf_df] ([id_infdf]);

	ALTER TABLE [dbo].[oobj_cte_inf_unid_carga] CHECK CONSTRAINT [infdoc_inf_df_cte_carga_fk];

	
--Configuracao da chave estrangeira para oobj_cte_infdoc_inf_df
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[infdoc_inf_df_cte_fk]')
		AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_inf_unid_transp]'))
	ALTER TABLE [dbo].[oobj_cte_inf_unid_transp]  WITH CHECK ADD CONSTRAINT [infdoc_inf_df_cte_fk]
	FOREIGN KEY([id_infdf])
	REFERENCES [dbo].[oobj_cte_infdoc_inf_df] ([id_infdf]);
	
	ALTER TABLE [dbo].[oobj_cte_inf_unid_transp] CHECK CONSTRAINT [infdoc_inf_df_cte_fk];

	
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_infdoc_cant_infcte]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infdoc_inf_df]'))
	ALTER TABLE [dbo].[oobj_cte_infdoc_inf_df]  WITH CHECK ADD  CONSTRAINT [fk_infdoc_cant_infcte] FOREIGN KEY([id_infdoc])
	REFERENCES [dbo].[oobj_cte_infdoc] ([id_infdoc]);
	
	ALTER TABLE [dbo].[oobj_cte_infdoc_inf_df] CHECK CONSTRAINT [fk_infdoc_cant_infcte];
	
END