﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_infcte](
	[id_infcte] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_cte] [decimal](19, 0) NOT NULL,
	[ctenormcargavcarga] [decimal](15, 2) NULL,
	[ctenormcargapropred] [varchar](255) NULL,
	[ctenormcargaxoutcat] [varchar](255) NULL,
	[aeronminu] [int] NULL,
	[aeronoca] [bigint] NULL,
	[aerodprev] [datetime] NULL,
	[aeroxlagemi] [varchar](20) NULL,
	[aeroidt] [varchar](14) NULL,
	[aerotarifacl] [char](1) NULL,
	[aerotarifactar] [varchar](4) NULL,
	[aerotarifavtar] [decimal](15, 2) NULL,
	[aeronatcargaxdime] [varchar](14) NULL,
	[aeronatcargacinfmanu] [varchar](5000) NULL,
	[aeronatcargacimp] [varchar](5000) NULL,
	[aquavvprest] [decimal](15, 2) NULL,
	[aquavvafrmm] [decimal](15, 2) NULL,
	[aquavnbooking] [varchar](10) NULL,
	[aquavnctrl]  [varchar](10) NULL,
	[aquavxnavio] [varchar](60) NULL,
	[aquavxbalsa] [varchar](3000) NULL,
	[aquavnviag] [varchar](10) NULL,
	[aquavdirec] [char](1) NULL,
	[aquavprtemb] [varchar](60) NULL,
	[aquavprttrans] [varchar](60) NULL,
	[aquavprtdest] [varchar](60) NULL,
	[aquavtpnav] [int] NULL,
	[aquavirin] [varchar](10) NULL,
	[dutovtar] [decimal](15, 6) NULL,
	[dutodini] [datetime] NULL,
	[dutodfim] [datetime] NULL,
	[ferrovtptraf] [int] NULL,
	[ferrovtrafmutrespfat] [int] NULL,
	[ferrovtrafmutferremi] [int] NULL,
	[ferrovfluxo] [varchar](10) NULL,
	[ferrovidtrem] [varchar](7) NULL,
	[ferrovvfrete] [decimal](15, 2) NULL,
	[rodorntrc] [char](8) NULL,
	[rododprev] [datetime] NULL,
	[rodolota] [int] NULL,
	[rodociot] [varchar](12) NULL,
	[rodolacre] [varchar](5000) NULL,
	[multimodalcotm] [varchar](1000) NULL,
	[multimodalindnegociavel] [int] NULL,
	[fatnfat] [varchar](60) NULL,
	[fatvorig] [decimal](15, 2) NULL,
	[fatvdesc] [decimal](15, 2) NULL,
	[fatvliq] [decimal](15, 2) NULL,
	[infctesubchcte] [varchar](44) NULL,
	[infctesubrefnfe] [varchar](44) NULL,
	[infctesubrefnfcnpj] [varchar](14) NULL,
	[infctesubrefnfmod] [varchar](2) NULL,
	[infctesubrefnfserie] [varchar](3) NULL,
	[infctesubrefnfsubserie] [varchar](3) NULL,
	[infctesubrefnfnro] [varchar](6) NULL,
	[infctesubrefnfvalor] [decimal](15, 2) NULL,
	[infctesubrefnfdemi] [datetime] NULL,
	[infctesubrefcte] [varchar](44) NULL,
	[infctesubrefcteanu] [varchar](44) NULL,
	[ctecompchave] [varchar](44) NULL,
	[cteanuchavecte] [varchar](44) NULL,
	[cteanudemi] [varchar](44) NULL,

	PRIMARY KEY CLUSTERED ([id_infcte] ASC)

	WITH (
		PAD_INDEX  = OFF,
		STATISTICS_NORECOMPUTE  = OFF,
		IGNORE_DUP_KEY = OFF,
		ALLOW_ROW_LOCKS  = ON,
		ALLOW_PAGE_LOCKS  = ON
	) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (
	SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[infcte_cte_envio]')
	AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte]')
) ALTER TABLE [dbo].[oobj_cte_infcte] 
WITH CHECK ADD  CONSTRAINT [infcte_cte_envio] FOREIGN KEY([id_cte])
REFERENCES [dbo].[oobj_cte_envio] ([id_cte])

GO
ALTER TABLE [dbo].[oobj_cte_infcte] CHECK CONSTRAINT [infcte_cte_envio]