SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_inf_unid_carga]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_inf_unid_carga](
	[id_infunidcarga] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	--Chave estrangeira opcional para oobj_cte_inf_unid_transp
	[id_infunidtransp] [decimal](19, 0) NULL,
	--Chave estrangeira opcional para oobj_cte_infdoc_inf_df
	[id_infdf] [decimal](19, 0) NULL,
	[tpunidtransp] [int] NOT NULL,
	[idunidtransp] [varchar](20) NOT NULL,
	[lacunidcarga] [varchar](5000) NULL,
	[qtdrat] [decimal](3,2) NULL,
PRIMARY KEY CLUSTERED 
(
	[id_infunidcarga] ASC
)
WITH
(
	PAD_INDEX  = OFF,
	STATISTICS_NORECOMPUTE  = OFF,
	IGNORE_DUP_KEY = OFF,
	ALLOW_ROW_LOCKS  = ON,
	ALLOW_PAGE_LOCKS  = ON
) ON [PRIMARY]
) ON [PRIMARY]
END

--Configuracao da chave estrangeira para oobj_cte_inf_unid_transp
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[inf_unid_transp_carga_cte_fk]')
	AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_inf_unid_carga]'))
ALTER TABLE [dbo].[oobj_cte_inf_unid_carga]  WITH CHECK ADD CONSTRAINT [inf_unid_transp_carga_cte_fk]
FOREIGN KEY([id_infunidtransp])
REFERENCES [dbo].[oobj_cte_inf_unid_transp] ([id_infunidtransp])
GO
ALTER TABLE [dbo].[oobj_cte_inf_unid_carga] CHECK CONSTRAINT [inf_unid_transp_carga_cte_fk]

--Configuracao da chave estrangeira para oobj_cte_infdoc_inf_df
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[infdoc_inf_df_cte_carga_fk]')
	AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_inf_unid_carga]'))
ALTER TABLE [dbo].[oobj_cte_inf_unid_carga]  WITH CHECK ADD CONSTRAINT [infdoc_inf_df_cte_carga_fk]
FOREIGN KEY([id_infdf])
REFERENCES [dbo].[oobj_cte_infdoc_inf_df] ([id_infdf])
GO
ALTER TABLE [dbo].[oobj_cte_inf_unid_carga] CHECK CONSTRAINT [infdoc_inf_df_cte_carga_fk]