﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_retorno]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_retorno](
	[id_retorno] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_cte] [decimal](19, 0) NOT NULL,
	[cstat] [int] NOT NULL,
	[xmotivo] [varchar](2048) NOT NULL,
	[cuf] [int] NULL,
	[chcte] [varchar](44) NULL,
	[serie] [int] NULL,
	[nct] [int] NULL,
	[dhrecbto] [datetime] NULL,
	[nprot] [decimal](19, 0) NULL,
	[digval] [varchar](255) NULL,
	[dhretorno] [datetime] NOT NULL,	

	PRIMARY KEY CLUSTERED ([id_retorno] ASC)

	WITH (
		PAD_INDEX  = OFF,
		STATISTICS_NORECOMPUTE  = OFF,
		IGNORE_DUP_KEY = OFF,
		ALLOW_ROW_LOCKS  = ON,
		ALLOW_PAGE_LOCKS  = ON
	) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (
	SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_retorno_envio]')
	AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_retorno]')
)
ALTER TABLE [dbo].[oobj_cte_retorno] 
WITH CHECK ADD CONSTRAINT [fk_retorno_envio] FOREIGN KEY([id_cte])
REFERENCES [dbo].[oobj_cte_envio] ([id_cte])

GO
ALTER TABLE [dbo].[oobj_cte_retorno] CHECK CONSTRAINT [fk_retorno_envio]